source: longrun_tests/Makefile.in @ 0c30ecc

ADTarm-ehast-experimentalenumforall-pointer-decayjacob/cs343-translationnew-astnew-ast-unique-exprpthread-emulationqualifiedEnum
Last change on this file since 0c30ecc was 0c30ecc, checked in by Thierry Delisle <tdelisle@…>, 4 years ago

Move cfa.m4 and cfa.make to tools/build

  • Property mode set to 100644
File size: 30.0 KB
Line 
1# Makefile.in generated by automake 1.15 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994-2014 Free Software Foundation, Inc.
5
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15@SET_MAKE@
16
17######################## -*- Mode: Makefile-Automake -*- ######################
18###############################################################################
19VPATH = @srcdir@
20am__is_gnu_make = { \
21  if test -z '$(MAKELEVEL)'; then \
22    false; \
23  elif test -n '$(MAKE_HOST)'; then \
24    true; \
25  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
26    true; \
27  else \
28    false; \
29  fi; \
30}
31am__make_running_with_option = \
32  case $${target_option-} in \
33      ?) ;; \
34      *) echo "am__make_running_with_option: internal error: invalid" \
35              "target option '$${target_option-}' specified" >&2; \
36         exit 1;; \
37  esac; \
38  has_opt=no; \
39  sane_makeflags=$$MAKEFLAGS; \
40  if $(am__is_gnu_make); then \
41    sane_makeflags=$$MFLAGS; \
42  else \
43    case $$MAKEFLAGS in \
44      *\\[\ \   ]*) \
45        bs=\\; \
46        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
47          | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
48    esac; \
49  fi; \
50  skip_next=no; \
51  strip_trailopt () \
52  { \
53    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
54  }; \
55  for flg in $$sane_makeflags; do \
56    test $$skip_next = yes && { skip_next=no; continue; }; \
57    case $$flg in \
58      *=*|--*) continue;; \
59        -*I) strip_trailopt 'I'; skip_next=yes;; \
60      -*I?*) strip_trailopt 'I';; \
61        -*O) strip_trailopt 'O'; skip_next=yes;; \
62      -*O?*) strip_trailopt 'O';; \
63        -*l) strip_trailopt 'l'; skip_next=yes;; \
64      -*l?*) strip_trailopt 'l';; \
65      -[dEDm]) skip_next=yes;; \
66      -[JT]) skip_next=yes;; \
67    esac; \
68    case $$flg in \
69      *$$target_option*) has_opt=yes; break;; \
70    esac; \
71  done; \
72  test $$has_opt = yes
73am__make_dryrun = (target_option=n; $(am__make_running_with_option))
74am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
75pkgdatadir = $(datadir)/@PACKAGE@
76pkgincludedir = $(includedir)/@PACKAGE@
77pkglibdir = $(libdir)/@PACKAGE@
78pkglibexecdir = $(libexecdir)/@PACKAGE@
79am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
80install_sh_DATA = $(install_sh) -c -m 644
81install_sh_PROGRAM = $(install_sh) -c
82install_sh_SCRIPT = $(install_sh) -c
83INSTALL_HEADER = $(INSTALL_DATA)
84transform = $(program_transform_name)
85NORMAL_INSTALL = :
86PRE_INSTALL = :
87POST_INSTALL = :
88NORMAL_UNINSTALL = :
89PRE_UNINSTALL = :
90POST_UNINSTALL = :
91build_triplet = @build@
92host_triplet = @host@
93subdir = longrun_tests
94ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
95am__aclocal_m4_deps = $(top_srcdir)/automake/libtool.m4 \
96        $(top_srcdir)/automake/ltoptions.m4 \
97        $(top_srcdir)/automake/ltsugar.m4 \
98        $(top_srcdir)/automake/ltversion.m4 \
99        $(top_srcdir)/automake/lt~obsolete.m4 \
100        $(top_srcdir)/tools/build/cfa.m4 $(top_srcdir)/configure.ac
101am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
102        $(ACLOCAL_M4)
103DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
104mkinstalldirs = $(install_sh) -d
105CONFIG_HEADER = $(top_builddir)/config.h
106CONFIG_CLEAN_FILES =
107CONFIG_CLEAN_VPATH_FILES =
108AM_V_P = $(am__v_P_@AM_V@)
109am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
110am__v_P_0 = false
111am__v_P_1 = :
112AM_V_GEN = $(am__v_GEN_@AM_V@)
113am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
114am__v_GEN_0 = @echo "  GEN     " $@;
115am__v_GEN_1 =
116AM_V_at = $(am__v_at_@AM_V@)
117am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
118am__v_at_0 = @
119am__v_at_1 =
120SOURCES =
121DIST_SOURCES =
122am__can_run_installinfo = \
123  case $$AM_UPDATE_INFO_DIR in \
124    n|no|NO) false;; \
125    *) (install-info --version) >/dev/null 2>&1;; \
126  esac
127am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
128am__tty_colors_dummy = \
129  mgn= red= grn= lgn= blu= brg= std=; \
130  am__color_tests=no
131am__tty_colors = { \
132  $(am__tty_colors_dummy); \
133  if test "X$(AM_COLOR_TESTS)" = Xno; then \
134    am__color_tests=no; \
135  elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
136    am__color_tests=yes; \
137  elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
138    am__color_tests=yes; \
139  fi; \
140  if test $$am__color_tests = yes; then \
141    red='[0;31m'; \
142    grn='[0;32m'; \
143    lgn='[1;32m'; \
144    blu='[1;34m'; \
145    mgn='[0;35m'; \
146    brg='[1m'; \
147    std='[m'; \
148  fi; \
149}
150am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
151am__vpath_adj = case $$p in \
152    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
153    *) f=$$p;; \
154  esac;
155am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
156am__install_max = 40
157am__nobase_strip_setup = \
158  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
159am__nobase_strip = \
160  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
161am__nobase_list = $(am__nobase_strip_setup); \
162  for p in $$list; do echo "$$p $$p"; done | \
163  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
164  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
165    if (++n[$$2] == $(am__install_max)) \
166      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
167    END { for (dir in files) print dir, files[dir] }'
168am__base_list = \
169  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
170  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
171am__uninstall_files_from_dir = { \
172  test -z "$$files" \
173    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
174    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
175         $(am__cd) "$$dir" && rm -f $$files; }; \
176  }
177am__recheck_rx = ^[     ]*:recheck:[    ]*
178am__global_test_result_rx = ^[  ]*:global-test-result:[         ]*
179am__copy_in_global_log_rx = ^[  ]*:copy-in-global-log:[         ]*
180# A command that, given a newline-separated list of test names on the
181# standard input, print the name of the tests that are to be re-run
182# upon "make recheck".
183am__list_recheck_tests = $(AWK) '{ \
184  recheck = 1; \
185  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
186    { \
187      if (rc < 0) \
188        { \
189          if ((getline line2 < ($$0 ".log")) < 0) \
190            recheck = 0; \
191          break; \
192        } \
193      else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
194        { \
195          recheck = 0; \
196          break; \
197        } \
198      else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
199        { \
200          break; \
201        } \
202    }; \
203  if (recheck) \
204    print $$0; \
205  close ($$0 ".trs"); \
206  close ($$0 ".log"); \
207}'
208# A command that, given a newline-separated list of test names on the
209# standard input, create the global log from their .trs and .log files.
210am__create_global_log = $(AWK) ' \
211function fatal(msg) \
212{ \
213  print "fatal: making $@: " msg | "cat >&2"; \
214  exit 1; \
215} \
216function rst_section(header) \
217{ \
218  print header; \
219  len = length(header); \
220  for (i = 1; i <= len; i = i + 1) \
221    printf "="; \
222  printf "\n\n"; \
223} \
224{ \
225  copy_in_global_log = 1; \
226  global_test_result = "RUN"; \
227  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
228    { \
229      if (rc < 0) \
230         fatal("failed to read from " $$0 ".trs"); \
231      if (line ~ /$(am__global_test_result_rx)/) \
232        { \
233          sub("$(am__global_test_result_rx)", "", line); \
234          sub("[        ]*$$", "", line); \
235          global_test_result = line; \
236        } \
237      else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
238        copy_in_global_log = 0; \
239    }; \
240  if (copy_in_global_log) \
241    { \
242      rst_section(global_test_result ": " $$0); \
243      while ((rc = (getline line < ($$0 ".log"))) != 0) \
244      { \
245        if (rc < 0) \
246          fatal("failed to read from " $$0 ".log"); \
247        print line; \
248      }; \
249      printf "\n"; \
250    }; \
251  close ($$0 ".trs"); \
252  close ($$0 ".log"); \
253}'
254# Restructured Text title.
255am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
256# Solaris 10 'make', and several other traditional 'make' implementations,
257# pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
258# by disabling -e (using the XSI extension "set +e") if it's set.
259am__sh_e_setup = case $$- in *e*) set +e;; esac
260# Default flags passed to test drivers.
261am__common_driver_flags = \
262  --color-tests "$$am__color_tests" \
263  --enable-hard-errors "$$am__enable_hard_errors" \
264  --expect-failure "$$am__expect_failure"
265# To be inserted before the command running the test.  Creates the
266# directory for the log if needed.  Stores in $dir the directory
267# containing $f, in $tst the test, in $log the log.  Executes the
268# developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
269# passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
270# will run the test scripts (or their associated LOG_COMPILER, if
271# thy have one).
272am__check_pre = \
273$(am__sh_e_setup);                                      \
274$(am__vpath_adj_setup) $(am__vpath_adj)                 \
275$(am__tty_colors);                                      \
276srcdir=$(srcdir); export srcdir;                        \
277case "$@" in                                            \
278  */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;    \
279    *) am__odir=.;;                                     \
280esac;                                                   \
281test "x$$am__odir" = x"." || test -d "$$am__odir"       \
282  || $(MKDIR_P) "$$am__odir" || exit $$?;               \
283if test -f "./$$f"; then dir=./;                        \
284elif test -f "$$f"; then dir=;                          \
285else dir="$(srcdir)/"; fi;                              \
286tst=$$dir$$f; log='$@';                                 \
287if test -n '$(DISABLE_HARD_ERRORS)'; then               \
288  am__enable_hard_errors=no;                            \
289else                                                    \
290  am__enable_hard_errors=yes;                           \
291fi;                                                     \
292case " $(XFAIL_TESTS) " in                              \
293  *[\ \ ]$$f[\ \        ]* | *[\ \      ]$$dir$$f[\ \   ]*) \
294    am__expect_failure=yes;;                            \
295  *)                                                    \
296    am__expect_failure=no;;                             \
297esac;                                                   \
298$(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
299# A shell command to get the names of the tests scripts with any registered
300# extension removed (i.e., equivalently, the names of the test logs, with
301# the '.log' extension removed).  The result is saved in the shell variable
302# '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
303# we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
304# since that might cause problem with VPATH rewrites for suffix-less tests.
305# See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
306am__set_TESTS_bases = \
307  bases='$(TEST_LOGS)'; \
308  bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
309  bases=`echo $$bases`
310RECHECK_LOGS = $(TEST_LOGS)
311AM_RECURSIVE_TARGETS = check recheck
312TEST_SUITE_LOG = test-suite.log
313TEST_EXTENSIONS = @EXEEXT@ .test
314LOG_DRIVER = $(SHELL) $(top_srcdir)/automake/test-driver
315LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
316am__set_b = \
317  case '$@' in \
318    */*) \
319      case '$*' in \
320        */*) b='$*';; \
321          *) b=`echo '$@' | sed 's/\.log$$//'`; \
322       esac;; \
323    *) \
324      b='$*';; \
325  esac
326am__test_logs1 = $(TESTS:=.log)
327am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
328TEST_LOGS = $(am__test_logs2:.test.log=.log)
329TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/automake/test-driver
330TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
331        $(TEST_LOG_FLAGS)
332am__DIST_COMMON = $(srcdir)/Makefile.in \
333        $(top_srcdir)/automake/test-driver
334DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
335ACLOCAL = @ACLOCAL@
336AMTAR = @AMTAR@
337AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
338AR = @AR@
339AUTOCONF = @AUTOCONF@
340AUTOHEADER = @AUTOHEADER@
341AUTOMAKE = @AUTOMAKE@
342AWK = @AWK@
343BUILD_IN_TREE_FLAGS = @BUILD_IN_TREE_FLAGS@
344CC = @CC@
345CCAS = @CCAS@
346CCASDEPMODE = @CCASDEPMODE@
347CCASFLAGS = @CCASFLAGS@
348CCDEPMODE = @CCDEPMODE@
349CFACC = @CFACC@
350CFACC_INSTALL = @CFACC_INSTALL@
351CFACPP = @CFACPP@
352CFAMAKE = @CFAMAKE@
353CFA_BACKEND_CC = @CFA_BACKEND_CC@
354CFA_BINDIR = @CFA_BINDIR@
355CFA_FLAGS = @CFA_FLAGS@
356CFA_INCDIR = @CFA_INCDIR@
357CFA_LIBDIR = @CFA_LIBDIR@
358CFA_NAME = @CFA_NAME@
359CFA_PREFIX = @CFA_PREFIX@
360CFLAGS = @CFLAGS@
361CPP = @CPP@
362CPPFLAGS = @CPPFLAGS@
363CXX = @CXX@
364CXXCPP = @CXXCPP@
365CXXDEPMODE = @CXXDEPMODE@
366CXXFLAGS = @CXXFLAGS@
367CYGPATH_W = @CYGPATH_W@
368DEFS = @DEFS@
369DEMANGLER = @DEMANGLER@
370DEPDIR = @DEPDIR@
371DLLTOOL = @DLLTOOL@
372DRIVER_DIR = @DRIVER_DIR@
373DSYMUTIL = @DSYMUTIL@
374DUMPBIN = @DUMPBIN@
375ECHO_C = @ECHO_C@
376ECHO_N = @ECHO_N@
377ECHO_T = @ECHO_T@
378EGREP = @EGREP@
379EXEEXT = @EXEEXT@
380FGREP = @FGREP@
381GREP = @GREP@
382HAS_DISTCC = @HAS_DISTCC@
383HOST_FLAGS = @HOST_FLAGS@
384INSTALL = @INSTALL@
385INSTALL_DATA = @INSTALL_DATA@
386INSTALL_PROGRAM = @INSTALL_PROGRAM@
387INSTALL_SCRIPT = @INSTALL_SCRIPT@
388INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
389LD = @LD@
390LDFLAGS = @LDFLAGS@
391LEX = @LEX@
392LEXLIB = @LEXLIB@
393LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
394LIBCFA_TARGET_DIRS = @LIBCFA_TARGET_DIRS@
395LIBCFA_TARGET_MAKEFILES = @LIBCFA_TARGET_MAKEFILES@
396LIBDEMANGLE = @LIBDEMANGLE@
397LIBOBJS = @LIBOBJS@
398LIBS = @LIBS@
399LIBTOOL = @LIBTOOL@
400LIPO = @LIPO@
401LN_S = @LN_S@
402LTLIBOBJS = @LTLIBOBJS@
403LT_SYS_LIBRARY_PATH = @LT_SYS_LIBRARY_PATH@
404MAKEINFO = @MAKEINFO@
405MANIFEST_TOOL = @MANIFEST_TOOL@
406MKDIR_P = @MKDIR_P@
407NM = @NM@
408NMEDIT = @NMEDIT@
409OBJDUMP = @OBJDUMP@
410OBJEXT = @OBJEXT@
411OTOOL = @OTOOL@
412OTOOL64 = @OTOOL64@
413PACKAGE = @PACKAGE@
414PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
415PACKAGE_NAME = @PACKAGE_NAME@
416PACKAGE_STRING = @PACKAGE_STRING@
417PACKAGE_TARNAME = @PACKAGE_TARNAME@
418PACKAGE_URL = @PACKAGE_URL@
419PACKAGE_VERSION = @PACKAGE_VERSION@
420PATH_SEPARATOR = @PATH_SEPARATOR@
421RANLIB = @RANLIB@
422SED = @SED@
423SET_MAKE = @SET_MAKE@
424SHELL = @SHELL@
425STRIP = @STRIP@
426TARGET_HOSTS = @TARGET_HOSTS@
427VERSION = @VERSION@
428YACC = @YACC@
429YFLAGS = @YFLAGS@
430abs_builddir = @abs_builddir@
431abs_srcdir = @abs_srcdir@
432abs_top_builddir = @abs_top_builddir@
433abs_top_srcdir = @abs_top_srcdir@
434ac_ct_AR = @ac_ct_AR@
435ac_ct_CC = @ac_ct_CC@
436ac_ct_CXX = @ac_ct_CXX@
437ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
438am__include = @am__include@
439am__leading_dot = @am__leading_dot@
440am__quote = @am__quote@
441am__tar = @am__tar@
442am__untar = @am__untar@
443bindir = @bindir@
444build = @build@
445build_alias = @build_alias@
446build_cpu = @build_cpu@
447build_os = @build_os@
448build_vendor = @build_vendor@
449builddir = @builddir@
450datadir = @datadir@
451datarootdir = @datarootdir@
452docdir = @docdir@
453dvidir = @dvidir@
454exec_prefix = @exec_prefix@
455host = @host@
456host_alias = @host_alias@
457host_cpu = @host_cpu@
458host_os = @host_os@
459host_vendor = @host_vendor@
460htmldir = @htmldir@
461includedir = @includedir@
462infodir = @infodir@
463install_sh = @install_sh@
464libdir = @libdir@
465libexecdir = @libexecdir@
466localedir = @localedir@
467localstatedir = @localstatedir@
468mandir = @mandir@
469mkdir_p = @mkdir_p@
470oldincludedir = @oldincludedir@
471pdfdir = @pdfdir@
472prefix = @prefix@
473program_transform_name = @program_transform_name@
474psdir = @psdir@
475runstatedir = @runstatedir@
476sbindir = @sbindir@
477sharedstatedir = @sharedstatedir@
478srcdir = @srcdir@
479sysconfdir = @sysconfdir@
480target_alias = @target_alias@
481top_build_prefix = @top_build_prefix@
482top_builddir = @top_builddir@
483top_srcdir = @top_srcdir@
484AUTOMAKE_OPTIONS = foreign    # do not require all the GNU file names
485ACLOCAL_AMFLAGS = -I automake
486repeats = 10
487max_time = 600
488preempt = 10ul\`ms
489debug = -debug
490type = LONG
491REPEAT = $(abs_top_builddir)/tools/repeat
492WATCHDOG = $(abs_top_builddir)/tools/watchdog
493TIME = /usr/bin/time -f "%E"
494UPDATED_TYPE = $(shell $(srcdir)/update-type $(type))
495BUILD_FLAGS =
496AM_CFAFLAGS = \
497        -g \
498        -Wall \
499        -Wno-unused-function \
500        -quiet \
501        -O2 \
502        -DPREEMPTION_RATE=$(preempt) \
503        -I$(abs_top_srcdir)/tests \
504        -I$(srcdir) \
505        -DTEST_$(shell cat .type | tr a-z A-Z)
506
507TESTS = block coroutine create disjoint enter enter3 processor stack wait yield
508all: all-am
509
510.SUFFIXES:
511.SUFFIXES: .log .test .test$(EXEEXT) .trs
512$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
513        @for dep in $?; do \
514          case '$(am__configure_deps)' in \
515            *$$dep*) \
516              ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
517                && { if test -f $@; then exit 0; else break; fi; }; \
518              exit 1;; \
519          esac; \
520        done; \
521        echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign longrun_tests/Makefile'; \
522        $(am__cd) $(top_srcdir) && \
523          $(AUTOMAKE) --foreign longrun_tests/Makefile
524Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
525        @case '$?' in \
526          *config.status*) \
527            cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
528          *) \
529            echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
530            cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
531        esac;
532
533$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
534        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
535
536$(top_srcdir)/configure:  $(am__configure_deps)
537        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
538$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
539        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
540$(am__aclocal_m4_deps):
541
542mostlyclean-libtool:
543        -rm -f *.lo
544
545clean-libtool:
546        -rm -rf .libs _libs
547tags TAGS:
548
549ctags CTAGS:
550
551cscope cscopelist:
552
553
554# Recover from deleted '.trs' file; this should ensure that
555# "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
556# both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
557# to avoid problems with "make -n".
558.log.trs:
559        rm -f $< $@
560        $(MAKE) $(AM_MAKEFLAGS) $<
561
562# Leading 'am--fnord' is there to ensure the list of targets does not
563# expand to empty, as could happen e.g. with make check TESTS=''.
564am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
565am--force-recheck:
566        @:
567
568$(TEST_SUITE_LOG): $(TEST_LOGS)
569        @$(am__set_TESTS_bases); \
570        am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
571        redo_bases=`for i in $$bases; do \
572                      am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
573                    done`; \
574        if test -n "$$redo_bases"; then \
575          redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
576          redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
577          if $(am__make_dryrun); then :; else \
578            rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
579          fi; \
580        fi; \
581        if test -n "$$am__remaking_logs"; then \
582          echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
583               "recursion detected" >&2; \
584        elif test -n "$$redo_logs"; then \
585          am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
586        fi; \
587        if $(am__make_dryrun); then :; else \
588          st=0;  \
589          errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
590          for i in $$redo_bases; do \
591            test -f $$i.trs && test -r $$i.trs \
592              || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
593            test -f $$i.log && test -r $$i.log \
594              || { echo "$$errmsg $$i.log" >&2; st=1; }; \
595          done; \
596          test $$st -eq 0 || exit 1; \
597        fi
598        @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
599        ws='[   ]'; \
600        results=`for b in $$bases; do echo $$b.trs; done`; \
601        test -n "$$results" || results=/dev/null; \
602        all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
603        pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
604        fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
605        skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
606        xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
607        xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
608        error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
609        if test `expr $$fail + $$xpass + $$error` -eq 0; then \
610          success=true; \
611        else \
612          success=false; \
613        fi; \
614        br='==================='; br=$$br$$br$$br$$br; \
615        result_count () \
616        { \
617            if test x"$$1" = x"--maybe-color"; then \
618              maybe_colorize=yes; \
619            elif test x"$$1" = x"--no-color"; then \
620              maybe_colorize=no; \
621            else \
622              echo "$@: invalid 'result_count' usage" >&2; exit 4; \
623            fi; \
624            shift; \
625            desc=$$1 count=$$2; \
626            if test $$maybe_colorize = yes && test $$count -gt 0; then \
627              color_start=$$3 color_end=$$std; \
628            else \
629              color_start= color_end=; \
630            fi; \
631            echo "$${color_start}# $$desc $$count$${color_end}"; \
632        }; \
633        create_testsuite_report () \
634        { \
635          result_count $$1 "TOTAL:" $$all   "$$brg"; \
636          result_count $$1 "PASS: " $$pass  "$$grn"; \
637          result_count $$1 "SKIP: " $$skip  "$$blu"; \
638          result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
639          result_count $$1 "FAIL: " $$fail  "$$red"; \
640          result_count $$1 "XPASS:" $$xpass "$$red"; \
641          result_count $$1 "ERROR:" $$error "$$mgn"; \
642        }; \
643        {                                                               \
644          echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |       \
645            $(am__rst_title);                                           \
646          create_testsuite_report --no-color;                           \
647          echo;                                                         \
648          echo ".. contents:: :depth: 2";                               \
649          echo;                                                         \
650          for b in $$bases; do echo $$b; done                           \
651            | $(am__create_global_log);                                 \
652        } >$(TEST_SUITE_LOG).tmp || exit 1;                             \
653        mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);                     \
654        if $$success; then                                              \
655          col="$$grn";                                                  \
656         else                                                           \
657          col="$$red";                                                  \
658          test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);               \
659        fi;                                                             \
660        echo "$${col}$$br$${std}";                                      \
661        echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";   \
662        echo "$${col}$$br$${std}";                                      \
663        create_testsuite_report --maybe-color;                          \
664        echo "$$col$$br$$std";                                          \
665        if $$success; then :; else                                      \
666          echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";         \
667          if test -n "$(PACKAGE_BUGREPORT)"; then                       \
668            echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
669          fi;                                                           \
670          echo "$$col$$br$$std";                                        \
671        fi;                                                             \
672        $$success || exit 1
673
674check-TESTS:
675        @list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
676        @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
677        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
678        @set +e; $(am__set_TESTS_bases); \
679        log_list=`for i in $$bases; do echo $$i.log; done`; \
680        trs_list=`for i in $$bases; do echo $$i.trs; done`; \
681        log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
682        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
683        exit $$?;
684recheck: all
685        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
686        @set +e; $(am__set_TESTS_bases); \
687        bases=`for i in $$bases; do echo $$i; done \
688                 | $(am__list_recheck_tests)` || exit 1; \
689        log_list=`for i in $$bases; do echo $$i.log; done`; \
690        log_list=`echo $$log_list`; \
691        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
692                am__force_recheck=am--force-recheck \
693                TEST_LOGS="$$log_list"; \
694        exit $$?
695block.log: block
696        @p='block'; \
697        b='block'; \
698        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
699        --log-file $$b.log --trs-file $$b.trs \
700        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
701        "$$tst" $(AM_TESTS_FD_REDIRECT)
702coroutine.log: coroutine
703        @p='coroutine'; \
704        b='coroutine'; \
705        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
706        --log-file $$b.log --trs-file $$b.trs \
707        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
708        "$$tst" $(AM_TESTS_FD_REDIRECT)
709create.log: create
710        @p='create'; \
711        b='create'; \
712        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
713        --log-file $$b.log --trs-file $$b.trs \
714        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
715        "$$tst" $(AM_TESTS_FD_REDIRECT)
716disjoint.log: disjoint
717        @p='disjoint'; \
718        b='disjoint'; \
719        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
720        --log-file $$b.log --trs-file $$b.trs \
721        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
722        "$$tst" $(AM_TESTS_FD_REDIRECT)
723enter.log: enter
724        @p='enter'; \
725        b='enter'; \
726        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
727        --log-file $$b.log --trs-file $$b.trs \
728        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
729        "$$tst" $(AM_TESTS_FD_REDIRECT)
730enter3.log: enter3
731        @p='enter3'; \
732        b='enter3'; \
733        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
734        --log-file $$b.log --trs-file $$b.trs \
735        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
736        "$$tst" $(AM_TESTS_FD_REDIRECT)
737processor.log: processor
738        @p='processor'; \
739        b='processor'; \
740        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
741        --log-file $$b.log --trs-file $$b.trs \
742        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
743        "$$tst" $(AM_TESTS_FD_REDIRECT)
744stack.log: stack
745        @p='stack'; \
746        b='stack'; \
747        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
748        --log-file $$b.log --trs-file $$b.trs \
749        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
750        "$$tst" $(AM_TESTS_FD_REDIRECT)
751wait.log: wait
752        @p='wait'; \
753        b='wait'; \
754        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
755        --log-file $$b.log --trs-file $$b.trs \
756        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
757        "$$tst" $(AM_TESTS_FD_REDIRECT)
758yield.log: yield
759        @p='yield'; \
760        b='yield'; \
761        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
762        --log-file $$b.log --trs-file $$b.trs \
763        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
764        "$$tst" $(AM_TESTS_FD_REDIRECT)
765.test.log:
766        @p='$<'; \
767        $(am__set_b); \
768        $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
769        --log-file $$b.log --trs-file $$b.trs \
770        $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
771        "$$tst" $(AM_TESTS_FD_REDIRECT)
772@am__EXEEXT_TRUE@.test$(EXEEXT).log:
773@am__EXEEXT_TRUE@       @p='$<'; \
774@am__EXEEXT_TRUE@       $(am__set_b); \
775@am__EXEEXT_TRUE@       $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
776@am__EXEEXT_TRUE@       --log-file $$b.log --trs-file $$b.trs \
777@am__EXEEXT_TRUE@       $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
778@am__EXEEXT_TRUE@       "$$tst" $(AM_TESTS_FD_REDIRECT)
779
780distdir: $(DISTFILES)
781        @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
782        topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
783        list='$(DISTFILES)'; \
784          dist_files=`for file in $$list; do echo $$file; done | \
785          sed -e "s|^$$srcdirstrip/||;t" \
786              -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
787        case $$dist_files in \
788          */*) $(MKDIR_P) `echo "$$dist_files" | \
789                           sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
790                           sort -u` ;; \
791        esac; \
792        for file in $$dist_files; do \
793          if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
794          if test -d $$d/$$file; then \
795            dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
796            if test -d "$(distdir)/$$file"; then \
797              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
798            fi; \
799            if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
800              cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
801              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
802            fi; \
803            cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
804          else \
805            test -f "$(distdir)/$$file" \
806            || cp -p $$d/$$file "$(distdir)/$$file" \
807            || exit 1; \
808          fi; \
809        done
810check-am: all-am
811        $(MAKE) $(AM_MAKEFLAGS) check-TESTS
812check: check-am
813all-am: Makefile all-local
814installdirs:
815install: install-am
816install-exec: install-exec-am
817install-data: install-data-am
818uninstall: uninstall-am
819
820install-am: all-am
821        @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
822
823installcheck: installcheck-am
824install-strip:
825        if test -z '$(STRIP)'; then \
826          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
827            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
828              install; \
829        else \
830          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
831            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
832            "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
833        fi
834mostlyclean-generic:
835        -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
836        -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
837        -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
838
839clean-generic:
840
841distclean-generic:
842        -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
843        -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
844
845maintainer-clean-generic:
846        @echo "This command is intended for maintainers to use"
847        @echo "it deletes files that may require special tools to rebuild."
848clean: clean-am
849
850clean-am: clean-generic clean-libtool clean-local mostlyclean-am
851
852distclean: distclean-am
853        -rm -f Makefile
854distclean-am: clean-am distclean-generic
855
856dvi: dvi-am
857
858dvi-am:
859
860html: html-am
861
862html-am:
863
864info: info-am
865
866info-am:
867
868install-data-am:
869
870install-dvi: install-dvi-am
871
872install-dvi-am:
873
874install-exec-am:
875
876install-html: install-html-am
877
878install-html-am:
879
880install-info: install-info-am
881
882install-info-am:
883
884install-man:
885
886install-pdf: install-pdf-am
887
888install-pdf-am:
889
890install-ps: install-ps-am
891
892install-ps-am:
893
894installcheck-am:
895
896maintainer-clean: maintainer-clean-am
897        -rm -f Makefile
898maintainer-clean-am: distclean-am maintainer-clean-generic
899
900mostlyclean: mostlyclean-am
901
902mostlyclean-am: mostlyclean-generic mostlyclean-libtool
903
904pdf: pdf-am
905
906pdf-am:
907
908ps: ps-am
909
910ps-am:
911
912uninstall-am:
913
914.MAKE: check-am install-am install-strip
915
916.PHONY: all all-am all-local check check-TESTS check-am clean \
917        clean-generic clean-libtool clean-local cscopelist-am ctags-am \
918        distclean distclean-generic distclean-libtool distdir dvi \
919        dvi-am html html-am info info-am install install-am \
920        install-data install-data-am install-dvi install-dvi-am \
921        install-exec install-exec-am install-html install-html-am \
922        install-info install-info-am install-man install-pdf \
923        install-pdf-am install-ps install-ps-am install-strip \
924        installcheck installcheck-am installdirs maintainer-clean \
925        maintainer-clean-generic mostlyclean mostlyclean-generic \
926        mostlyclean-libtool pdf pdf-am ps ps-am recheck tags-am \
927        uninstall uninstall-am
928
929.PRECIOUS: Makefile
930
931
932@CFAMAKE@
933
934# .INTERMEDIATE: $(TESTS)
935
936all-local: $(TESTS:=.run)
937
938runall : $(TESTS:=.run)
939        @ echo "All programs terminated normally"
940
941watchall : $(TESTS:=.watch)
942        @ echo "All programs terminated normally"
943
944compileall : $(TESTS)
945        @ echo "Compiled"
946
947clean-local:
948        rm -f $(TESTS) core* out.log .type
949
950% : %.cfa $(CFACC) $(UPDATED_TYPE)
951        $(AM_V_CFA)$(CFACOMPILE) $(<) $(debug) -o $(@)
952
953%.run : % $(REPEAT)
954        @ time $(REPEAT) -r out.log -i -s $(repeats) timeout $(max_time) ./$(<)
955        @ rm $(<)
956        @ echo -e "$(<): SUCCESS\n"
957
958%.watch : % $(WATCHDOG)
959        @ time $(WATCHDOG} ./$(<)
960        @ rm $(<)
961        @ echo -e "$(<): SUCCESS\n"
962
963%.time : % $(REPEAT)
964        @ $(REPEAT) -i -s -- $(repeats) $(TIME) -a -o times.log ./$(<)
965        @ rm $(<)
966        @ echo -e "$(<): SUCCESS\n"
967
968$(REPEAT): $(abs_top_builddir)/tools/Makefile
969        @+make -C $(abs_top_builddir)/tools/
970
971$(WATCHDOG): $(abs_top_builddir)/tools/Makefile
972        @+make -C $(abs_top_builddir)/tools/
973
974# Tell versions [3.59,3.63) of GNU make to not export all variables.
975# Otherwise a system limit (for SysV at least) may be exceeded.
976.NOEXPORT:
Note: See TracBrowser for help on using the repository browser.